import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { TokenStorageService } from './token.service';
const API_URL = 'https://aktienbot.flokaiser.com/api/';
@Injectable({
  providedIn: 'root',
})
export class DataService {
  constructor(
    private http: HttpClient,
    private tokenStorage: TokenStorageService
  ) {}

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
      Authorization: 'Bearer' + this.tokenStorage.getToken(),
    }),
  };

  getStockData(): Observable<any> {
    return this.http.get(API_URL + 'portfolio', {
      headers: this.httpOptions.headers,
      responseType: 'text',
    });
  }

  showStorage() {
    console.log(localStorage);
  }
}
